# TODO
# - package -DSTATEDIR=/var/lib/mod_watch ?
%define		mod_name	watch
%define		apxs		/usr/sbin/apxs
%include	/usr/lib/rpm/macros.perl
Summary:	Apache module: Monitoring Interface for MRTG
Summary(pl.UTF-8):	Moduł do apache: Interfejs do monitorowania za pomocą MRTG
Name:		apache-mod_%{mod_name}
Version:	4.03
Release:	9
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	http://www.snert.com/Software/download/mod_watch%(echo %{version} | tr -d .).tgz
# Source0-md5:	06d57713adb935f16596d22256bca913
Source1:	%{name}.conf
Patch0:		%{name}-apr-fix.patch
Patch1:		%{name}-shm-fix.patch
Patch2:		%{name}-mutex.patch
Patch3:		%{name}-apache24.patch
URL:		http://www.snert.com/Software/mod_watch/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
This module will watch and collect the bytes, requests, and documents
in & out per virtual host, file owner, remote IP address, directory or
location, and the web server as a whole. This module was designed for
use with MRTG, which will make nice graphical representations of the
data, but is general enough that it can be applied to other purposes,
as the raw data is accessed by a URL. This module supports
mod_vhost_alias and mod_gzip.

%description -l pl.UTF-8
Ten moduł kontroluje i zbiera informacje na temat ilości przesłanych
bajtów (przychodzących i wychodzących) wg. serwera wirtualnego,
właściciela plików, zdalnego adresu IP, katalogu lub lokacji oraz
serwera jako całości. Moduł został zaprojektowany do pracy z MRTG,
dzięki czemu otrzymamy ładną, graficzną reprezentacje danych. Moduł
wspiera mod_vhost_alias oraz mod_gzip.

%prep
%setup -q -n mod_%{mod_name}-4.3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -f Makefile.dso build \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_bindir},%{_sysconfdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install apache2mrtg.pl mod_watch.pl $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/99_mod_watch.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES* *html *.txt Contrib nfields.pl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%attr(755,root,root) %{_bindir}/*
%changelog
* Sun May 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_watch.git;a=log;h=master

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> 7a05d00
- build with apache 2.4
- rel 9

* Mon Mar 28 2011 Jan Rękorajski <baggins@pld-linux.org> 18106d1
- rel 8
- configurable shm mutex mech to solve interoperability problems with mod_ruid2

* Thu Mar 10 2011 Jan Rękorajski <baggins@pld-linux.org> bc21094
- rel 7
- fix for "Internal error: shGetLockedEntry", see http://ovcharov.me/2009/09/01/kak-pochinit-mod_watch/

* Tue Feb 03 2009 Elan Ruusamäe <glen@pld-linux.org> dd275cb
- no httpd.conf dir provided in th; rel 6

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 5cf565a
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 7033d3b
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 4b9567f
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9136a19
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2931eb7
- converted to UTF-8

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> 5807ae0
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 6a43dc1
- use %service

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 662c864
- unified

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 366be10
- rel 5 (rebuild with new apache)

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> e2b14bd
- adapterized (sorted %verify attrs)

* Sat Jul 02 2005 Jakub Bogusz <qboosh@pld-linux.org> 15577b9
- sorted verify() flags, unified IP caps

* Sat Jul 02 2005 Tomasz Pala <gotar@pld-linux.org> 6985a11
- %config and %verify flags for config file

* Sun Jun 05 2005 zbyniu <zbyniu@pld-linux.org> 9a7ad70
- BR: rpm-perlprov

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 75a820d
- with patch it needs apr1-based apache

* Sat Nov 20 2004 heretyk <heretyk@pld-linux.org> 8336b39
- fixed to work with apr >= 1.0
- release 4, STBR

* Sat Nov 20 2004 heretyk <heretyk@pld-linux.org> 08557bc
- fixed mod_watch to work with apr >= 1.0

